| AI Engine-ML Intrinsics User Guide (v2026.1)

Loading...
Searching...
No Matches
Functions
Compressed Load of Two Vectors
Load/Store Operations » Compressed Load Operations

## Overview

Functions used to decompress two vectors from the internal buffer.

## Functions
void | compr_pop2 (v128int4_compress *&p, v128int4 &o1, v128int4 &o2)
| Fill the internal buffer from memory location p. Reads one decompressed vector from the internal buffer and stores it to o1. Updates the internal buffer pointer.
void | compr_pop2 (v128int4_compress *&p, v128int4_compress *&p2, v128int4 &o1, v128int4 &o2)
| Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.
void | compr_pop2 (v128uint4_compress *&p, v128uint4 &o1, v128uint4 &o2)
| Fill the internal buffer from memory location p. Reads one decompressed vector from the internal buffer and stores it to o1. Updates the internal buffer pointer.
void | compr_pop2 (v128uint4_compress *&p, v128uint4_compress *&p2, v128uint4 &o1, v128uint4 &o2)
| Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.
void | compr_pop2 (v16bfloat16_compress *&p, v16bfloat16 &o1, v16bfloat16 &o2)
| Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.
void | compr_pop2 (v16bfloat16_compress *&p, v16bfloat16_compress *&p2, v16bfloat16 &o1, v16bfloat16 &o2)
| Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.
void | compr_pop2 (v16cint16_compress *&p, v16cint16 &o1, v16cint16 &o2)
| Fill the internal buffer from memory location p. Reads one decompressed vector from the internal buffer and stores it to o1. Updates the internal buffer pointer.
void | compr_pop2 (v16cint16_compress *&p, v16cint16_compress *&p2, v16cint16 &o1, v16cint16 &o2)
| Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.
void | compr_pop2 (v16int16_compress *&p, v16int16 &o1, v16int16 &o2)
| Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.
void | compr_pop2 (v16int16_compress *&p, v16int16_compress *&p2, v16int16 &o1, v16int16 &o2)
| Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.
void | compr_pop2 (v16int32_compress *&p, v16int32 &o1, v16int32 &o2)
| Fill the internal buffer from memory location p. Reads one decompressed vector from the internal buffer and stores it to o1. Updates the internal buffer pointer.
void | compr_pop2 (v16int32_compress *&p, v16int32_compress *&p2, v16int32 &o1, v16int32 &o2)
| Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.
void | compr_pop2 (v16uint16_compress *&p, v16uint16 &o1, v16uint16 &o2)
| Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.
void | compr_pop2 (v16uint16_compress *&p, v16uint16_compress *&p2, v16uint16 &o1, v16uint16 &o2)
| Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.
void | compr_pop2 (v16uint32_compress *&p, v16uint32 &o1, v16uint32 &o2)
| Fill the internal buffer from memory location p. Reads one decompressed vector from the internal buffer and stores it to o1. Updates the internal buffer pointer.
void | compr_pop2 (v16uint32_compress *&p, v16uint32_compress *&p2, v16uint32 &o1, v16uint32 &o2)
| Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.
void | compr_pop2 (v32bfloat16_compress *&p, v32bfloat16 &o1, v32bfloat16 &o2)
| Fill the internal buffer from memory location p. Reads one decompressed vector from the internal buffer and stores it to o1. Updates the internal buffer pointer.
void | compr_pop2 (v32bfloat16_compress *&p, v32bfloat16_compress *&p2, v32bfloat16 &o1, v32bfloat16 &o2)
| Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.
void | compr_pop2 (v32int16_compress *&p, v32int16 &o1, v32int16 &o2)
| Fill the internal buffer from memory location p. Reads one decompressed vector from the internal buffer and stores it to o1. Updates the internal buffer pointer.
void | compr_pop2 (v32int16_compress *&p, v32int16_compress *&p2, v32int16 &o1, v32int16 &o2)
| Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.
void | compr_pop2 (v32int8_compress *&p, v32int8 &o1, v32int8 &o2)
| Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.
void | compr_pop2 (v32int8_compress *&p, v32int8_compress *&p2, v32int8 &o1, v32int8 &o2)
| Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.
void | compr_pop2 (v32uint16_compress *&p, v32uint16 &o1, v32uint16 &o2)
| Fill the internal buffer from memory location p. Reads one decompressed vector from the internal buffer and stores it to o1. Updates the internal buffer pointer.
void | compr_pop2 (v32uint16_compress *&p, v32uint16_compress *&p2, v32uint16 &o1, v32uint16 &o2)
| Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.
void | compr_pop2 (v32uint8_compress *&p, v32uint8 &o1, v32uint8 &o2)
| Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.
void | compr_pop2 (v32uint8_compress *&p, v32uint8_compress *&p2, v32uint8 &o1, v32uint8 &o2)
| Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.
void | compr_pop2 (v4cint32_compress *&p, v4cint32 &o1, v4cint32 &o2)
| Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.
void | compr_pop2 (v4cint32_compress *&p, v4cint32_compress *&p2, v4cint32 &o1, v4cint32 &o2)
| Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.
void | compr_pop2 (v64int4_compress *&p, v64int4 &o1, v64int4 &o2)
| Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.
void | compr_pop2 (v64int4_compress *&p, v64int4_compress *&p2, v64int4 &o1, v64int4 &o2)
| Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.
void | compr_pop2 (v64int8_compress *&p, v64int8 &o1, v64int8 &o2)
| Fill the internal buffer from memory location p. Reads one decompressed vector from the internal buffer and stores it to o1. Updates the internal buffer pointer.
void | compr_pop2 (v64int8_compress *&p, v64int8_compress *&p2, v64int8 &o1, v64int8 &o2)
| Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.
void | compr_pop2 (v64uint4_compress *&p, v64uint4 &o1, v64uint4 &o2)
| Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.
void | compr_pop2 (v64uint4_compress *&p, v64uint4_compress *&p2, v64uint4 &o1, v64uint4 &o2)
| Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.
void | compr_pop2 (v64uint8_compress *&p, v64uint8 &o1, v64uint8 &o2)
| Fill the internal buffer from memory location p. Reads one decompressed vector from the internal buffer and stores it to o1. Updates the internal buffer pointer.
void | compr_pop2 (v64uint8_compress *&p, v64uint8_compress *&p2, v64uint8 &o1, v64uint8 &o2)
| Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.
void | compr_pop2 (v8cint16_compress *&p, v8cint16 &o1, v8cint16 &o2)
| Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.
void | compr_pop2 (v8cint16_compress *&p, v8cint16_compress *&p2, v8cint16 &o1, v8cint16 &o2)
| Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.
void | compr_pop2 (v8cint32_compress *&p, v8cint32 &o1, v8cint32 &o2)
| Fill the internal buffer from memory location p. Reads one decompressed vector from the internal buffer and stores it to o1. Updates the internal buffer pointer.
void | compr_pop2 (v8cint32_compress *&p, v8cint32_compress *&p2, v8cint32 &o1, v8cint32 &o2)
| Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.
void | compr_pop2 (v8int32_compress *&p, v8int32 &o1, v8int32 &o2)
| Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.
void | compr_pop2 (v8int32_compress *&p, v8int32_compress *&p2, v8int32 &o1, v8int32 &o2)
| Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.
void | compr_pop2 (v8uint32_compress *&p, v8uint32 &o1, v8uint32 &o2)
| Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.
void | compr_pop2 (v8uint32_compress *&p, v8uint32_compress *&p2, v8uint32 &o1, v8uint32 &o2)
| Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.

## Function Documentation

## ◆ compr_pop2() [1/44]

void compr_pop2 | ( | v128int4_compress *& | p,
|  | v128int4 & | o1,
|  | v128int4 & | o2 )

Fill the internal buffer from memory location p. Reads one decompressed vector from the internal buffer and stores it to o1. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.

## ◆ compr_pop2() [2/44]

void compr_pop2 | ( | v128int4_compress *& | p,
|  | v128int4_compress *& | p2,
|  | v128int4 & | o1,
|  | v128int4 & | o2 )

Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output
  o2 | Reference to second output

## ◆ compr_pop2() [3/44]

void compr_pop2 | ( | v128uint4_compress *& | p,
|  | v128uint4 & | o1,
|  | v128uint4 & | o2 )

Fill the internal buffer from memory location p. Reads one decompressed vector from the internal buffer and stores it to o1. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.

## ◆ compr_pop2() [4/44]

void compr_pop2 | ( | v128uint4_compress *& | p,
|  | v128uint4_compress *& | p2,
|  | v128uint4 & | o1,
|  | v128uint4 & | o2 )

Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output
  o2 | Reference to second output

## ◆ compr_pop2() [5/44]

void compr_pop2 | ( | v16bfloat16_compress *& | p,
|  | v16bfloat16 & | o1,
|  | v16bfloat16 & | o2 )

Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.

## ◆ compr_pop2() [6/44]

void compr_pop2 | ( | v16bfloat16_compress *& | p,
|  | v16bfloat16_compress *& | p2,
|  | v16bfloat16 & | o1,
|  | v16bfloat16 & | o2 )

Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output.
  o2 | Reference to second output.

## ◆ compr_pop2() [7/44]

void compr_pop2 | ( | v16cint16_compress *& | p,
|  | v16cint16 & | o1,
|  | v16cint16 & | o2 )

Fill the internal buffer from memory location p. Reads one decompressed vector from the internal buffer and stores it to o1. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.

## ◆ compr_pop2() [8/44]

void compr_pop2 | ( | v16cint16_compress *& | p,
|  | v16cint16_compress *& | p2,
|  | v16cint16 & | o1,
|  | v16cint16 & | o2 )

Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output
  o2 | Reference to second output

## ◆ compr_pop2() [9/44]

void compr_pop2 | ( | v16int16_compress *& | p,
|  | v16int16 & | o1,
|  | v16int16 & | o2 )

Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.

## ◆ compr_pop2() [10/44]

void compr_pop2 | ( | v16int16_compress *& | p,
|  | v16int16_compress *& | p2,
|  | v16int16 & | o1,
|  | v16int16 & | o2 )

Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output.
  o2 | Reference to second output.

## ◆ compr_pop2() [11/44]

void compr_pop2 | ( | v16int32_compress *& | p,
|  | v16int32 & | o1,
|  | v16int32 & | o2 )

Fill the internal buffer from memory location p. Reads one decompressed vector from the internal buffer and stores it to o1. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.

## ◆ compr_pop2() [12/44]

void compr_pop2 | ( | v16int32_compress *& | p,
|  | v16int32_compress *& | p2,
|  | v16int32 & | o1,
|  | v16int32 & | o2 )

Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output
  o2 | Reference to second output

## ◆ compr_pop2() [13/44]

void compr_pop2 | ( | v16uint16_compress *& | p,
|  | v16uint16 & | o1,
|  | v16uint16 & | o2 )

Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.

## ◆ compr_pop2() [14/44]

void compr_pop2 | ( | v16uint16_compress *& | p,
|  | v16uint16_compress *& | p2,
|  | v16uint16 & | o1,
|  | v16uint16 & | o2 )

Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output.
  o2 | Reference to second output.

## ◆ compr_pop2() [15/44]

void compr_pop2 | ( | v16uint32_compress *& | p,
|  | v16uint32 & | o1,
|  | v16uint32 & | o2 )

Fill the internal buffer from memory location p. Reads one decompressed vector from the internal buffer and stores it to o1. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.

## ◆ compr_pop2() [16/44]

void compr_pop2 | ( | v16uint32_compress *& | p,
|  | v16uint32_compress *& | p2,
|  | v16uint32 & | o1,
|  | v16uint32 & | o2 )

Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output
  o2 | Reference to second output

## ◆ compr_pop2() [17/44]

void compr_pop2 | ( | v32bfloat16_compress *& | p,
|  | v32bfloat16 & | o1,
|  | v32bfloat16 & | o2 )

Fill the internal buffer from memory location p. Reads one decompressed vector from the internal buffer and stores it to o1. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.

## ◆ compr_pop2() [18/44]

void compr_pop2 | ( | v32bfloat16_compress *& | p,
|  | v32bfloat16_compress *& | p2,
|  | v32bfloat16 & | o1,
|  | v32bfloat16 & | o2 )

Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output
  o2 | Reference to second output

## ◆ compr_pop2() [19/44]

void compr_pop2 | ( | v32int16_compress *& | p,
|  | v32int16 & | o1,
|  | v32int16 & | o2 )

Fill the internal buffer from memory location p. Reads one decompressed vector from the internal buffer and stores it to o1. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.

## ◆ compr_pop2() [20/44]

void compr_pop2 | ( | v32int16_compress *& | p,
|  | v32int16_compress *& | p2,
|  | v32int16 & | o1,
|  | v32int16 & | o2 )

Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output
  o2 | Reference to second output

## ◆ compr_pop2() [21/44]

void compr_pop2 | ( | v32int8_compress *& | p,
|  | v32int8 & | o1,
|  | v32int8 & | o2 )

Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.

## ◆ compr_pop2() [22/44]

void compr_pop2 | ( | v32int8_compress *& | p,
|  | v32int8_compress *& | p2,
|  | v32int8 & | o1,
|  | v32int8 & | o2 )

Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output.
  o2 | Reference to second output.

## ◆ compr_pop2() [23/44]

void compr_pop2 | ( | v32uint16_compress *& | p,
|  | v32uint16 & | o1,
|  | v32uint16 & | o2 )

Fill the internal buffer from memory location p. Reads one decompressed vector from the internal buffer and stores it to o1. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.

## ◆ compr_pop2() [24/44]

void compr_pop2 | ( | v32uint16_compress *& | p,
|  | v32uint16_compress *& | p2,
|  | v32uint16 & | o1,
|  | v32uint16 & | o2 )

Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output
  o2 | Reference to second output

## ◆ compr_pop2() [25/44]

void compr_pop2 | ( | v32uint8_compress *& | p,
|  | v32uint8 & | o1,
|  | v32uint8 & | o2 )

Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.

## ◆ compr_pop2() [26/44]

void compr_pop2 | ( | v32uint8_compress *& | p,
|  | v32uint8_compress *& | p2,
|  | v32uint8 & | o1,
|  | v32uint8 & | o2 )

Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output.
  o2 | Reference to second output.

## ◆ compr_pop2() [27/44]

void compr_pop2 | ( | v4cint32_compress *& | p,
|  | v4cint32 & | o1,
|  | v4cint32 & | o2 )

Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.

## ◆ compr_pop2() [28/44]

void compr_pop2 | ( | v4cint32_compress *& | p,
|  | v4cint32_compress *& | p2,
|  | v4cint32 & | o1,
|  | v4cint32 & | o2 )

Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output.
  o2 | Reference to second output.

## ◆ compr_pop2() [29/44]

void compr_pop2 | ( | v64int4_compress *& | p,
|  | v64int4 & | o1,
|  | v64int4 & | o2 )

Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.

## ◆ compr_pop2() [30/44]

void compr_pop2 | ( | v64int4_compress *& | p,
|  | v64int4_compress *& | p2,
|  | v64int4 & | o1,
|  | v64int4 & | o2 )

Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output.
  o2 | Reference to second output.

## ◆ compr_pop2() [31/44]

void compr_pop2 | ( | v64int8_compress *& | p,
|  | v64int8 & | o1,
|  | v64int8 & | o2 )

Fill the internal buffer from memory location p. Reads one decompressed vector from the internal buffer and stores it to o1. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.

## ◆ compr_pop2() [32/44]

void compr_pop2 | ( | v64int8_compress *& | p,
|  | v64int8_compress *& | p2,
|  | v64int8 & | o1,
|  | v64int8 & | o2 )

Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output
  o2 | Reference to second output

## ◆ compr_pop2() [33/44]

void compr_pop2 | ( | v64uint4_compress *& | p,
|  | v64uint4 & | o1,
|  | v64uint4 & | o2 )

Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.

## ◆ compr_pop2() [34/44]

void compr_pop2 | ( | v64uint4_compress *& | p,
|  | v64uint4_compress *& | p2,
|  | v64uint4 & | o1,
|  | v64uint4 & | o2 )

Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output.
  o2 | Reference to second output.

## ◆ compr_pop2() [35/44]

void compr_pop2 | ( | v64uint8_compress *& | p,
|  | v64uint8 & | o1,
|  | v64uint8 & | o2 )

Fill the internal buffer from memory location p. Reads one decompressed vector from the internal buffer and stores it to o1. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.

## ◆ compr_pop2() [36/44]

void compr_pop2 | ( | v64uint8_compress *& | p,
|  | v64uint8_compress *& | p2,
|  | v64uint8 & | o1,
|  | v64uint8 & | o2 )

Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output
  o2 | Reference to second output

## ◆ compr_pop2() [37/44]

void compr_pop2 | ( | v8cint16_compress *& | p,
|  | v8cint16 & | o1,
|  | v8cint16 & | o2 )

Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.

## ◆ compr_pop2() [38/44]

void compr_pop2 | ( | v8cint16_compress *& | p,
|  | v8cint16_compress *& | p2,
|  | v8cint16 & | o1,
|  | v8cint16 & | o2 )

Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output.
  o2 | Reference to second output.

## ◆ compr_pop2() [39/44]

void compr_pop2 | ( | v8cint32_compress *& | p,
|  | v8cint32 & | o1,
|  | v8cint32 & | o2 )

Fill the internal buffer from memory location p. Reads one decompressed vector from the internal buffer and stores it to o1. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.

## ◆ compr_pop2() [40/44]

void compr_pop2 | ( | v8cint32_compress *& | p,
|  | v8cint32_compress *& | p2,
|  | v8cint32 & | o1,
|  | v8cint32 & | o2 )

Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output
  o2 | Reference to second output

## ◆ compr_pop2() [41/44]

void compr_pop2 | ( | v8int32_compress *& | p,
|  | v8int32 & | o1,
|  | v8int32 & | o2 )

Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.

## ◆ compr_pop2() [42/44]

void compr_pop2 | ( | v8int32_compress *& | p,
|  | v8int32_compress *& | p2,
|  | v8int32 & | o1,
|  | v8int32 & | o2 )

Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output.
  o2 | Reference to second output.

## ◆ compr_pop2() [43/44]

void compr_pop2 | ( | v8uint32_compress *& | p,
|  | v8uint32 & | o1,
|  | v8uint32 & | o2 )

Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  o1 | Reference to first output.
  o2 | Reference to second output.

## ◆ compr_pop2() [44/44]

void compr_pop2 | ( | v8uint32_compress *& | p,
|  | v8uint32_compress *& | p2,
|  | v8uint32 & | o1,
|  | v8uint32 & | o2 )

Fill the internal buffer from memory location p. Reads two decompressed vectors from the internal buffer and stores them to o1 through o2. Updates the internal buffer pointer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.
  o1 | Reference to first output.
  o2 | Reference to second output.